Home | All Classes | Main Classes | Annotated | Grouped Classes | Functions |

# QSqlSelectCursor Class Reference
[sql module]

The QSqlSelectCursor class provides browsing of general SQL SELECT statements. More...

`#include <qsqlselectcursor.h>`

Inherits QSqlCursor.

List of all member functions.

## Public Members

- QSqlSelectCursor ( const QString & query = QString::null, QSqlDatabase * db = 0 )
- QSqlSelectCursor ( const QSqlSelectCursor & other )
- ~QSqlSelectCursor ()

## Detailed Description

The QSqlSelectCursor class provides browsing of general SQL SELECT statements.

QSqlSelectCursor is a convenience class that makes it possible to display result sets from general SQL `SELECT` statements in data-aware Qt widgets. QSqlSelectCursor is read-only and does not support `INSERT`, `UPDATE` or `DELETE` operations.

Pass the query in at construction time, or use the QSqlSelectCursor::exec() function.

Example:

        ...
        QSqlSelectCursor* cur = new QSqlSelectCursor( "SELECT id, firstname, lastname FROM author" );
        QDataTable* table = new QDataTable( this );
        table->setSqlCursor( cur, TRUE, TRUE );
        table->refresh();
        ...
        cur->exec( "SELECT * FROM books" );
        table->refresh();
        ...

See also Database Classes.

## Member Function Documentation

### QSqlSelectCursor::QSqlSelectCursor ( const QString & query = QString::null, QSqlDatabase * db = 0 )

Constructs a read only cursor on database db using the query query.

### QSqlSelectCursor::QSqlSelectCursor ( const QSqlSelectCursor & other )

Constructs a copy of other

### QSqlSelectCursor::~QSqlSelectCursor ()

Destroys the object and frees any allocated resources

This file is part of the Qt toolkit. Copyright © 1995-2004 Trolltech. All Rights Reserved.